function tEval = Qlower_get_tEval(px,c,tau)
    %% Case 1: Small values of c
    if c < min(px,1-px)

        if tau <= 0.5

            tEval = tau*(px - c)/px;

        elseif tau > 0.5

            tEval = tau*(px + c)/px - c/px;

        end

    %% Case 2A: Intermedeiate values of c
    elseif (px <= c) && (c < 1-px)
        
        tEval = (tau*(px + c) - c)/px;
        
    %% Case 2B: Intermedeiate values of c
    elseif (1-px <= c) && (c < px)

        if tau <= (1-px)/(1-px+c)

            tEval = tau*(px - c)/px;

        elseif tau > (1-px)/(1-px+c)

            tEval = (tau-1)/px + 1;

        end

    %% Case 3: Large values of c    
    elseif c >= max(px,1-px)

        tEval = (tau-1)/px + 1;
        
    else
        error('Error: No valid c case.');
    end
    
end