function BCvec = computeBCvec(intPieceVec,minPieceVec,plowerbarGrid,trunc)

    BCvec = nan(length(intPieceVec),length(plowerbarGrid));

    for j=1:length(plowerbarGrid)
        plowerbar = plowerbarGrid(j);

        if nargin == 3
            BCvec(:,j) = computeBC(intPieceVec,minPieceVec,plowerbar);
            
        elseif nargin == 4
            BCvec(:,j) = ...
                computeBC(intPieceVec,minPieceVec,plowerbar,trunc);
            
        end

    end

end