% Compute support of the true unconditional distribution of Y in the
% simulation dgps

wsupport = [0 1];
XsuppSize = 2;
YgivenXWsuppLB = nan(length(wsupport),XsuppSize);
YgivenXWsuppUB = nan(length(wsupport),XsuppSize);

for wi=1:2
    w = wsupport(wi);

    YgivenXWsuppLB(wi,1) = trueQuantileFunction_MC(params,0,0,w);
    YgivenXWsuppUB(wi,1) = trueQuantileFunction_MC(params,1,0,w);

    YgivenXWsuppLB(wi,2) = trueQuantileFunction_MC(params,0,1,w);
    YgivenXWsuppUB(wi,2) = trueQuantileFunction_MC(params,1,1,w);

end

params.YsuppLB = min(YgivenXWsuppLB(:));
params.YsuppUB = max(YgivenXWsuppUB(:));

clear w wi wsupport XsuppSize YgivenXWsuppLB YgivenXWsuppUB;