function Data = generateMCdata(params)

    n = params.sampleSize;
    
    U = rand(n,1);
    X = (rand(n,1) < params.p1true); % Thus X independent U holds
    
    Y = trueQuantileFunction_MC(params,U,X);
    
    Data.X = X;
    Data.Y = Y;

end