%% Set grid parameters

cupperbar = max(params.p1true,params.p0true);

% We are interested in P(Y1 - Y0 >= z) where z is:
z = 0;

% Number of grid points for computing the breakdown frontier
Ncgrid = 25;
fprintf(1,'Number of cgrid points = %d.\n',Ncgrid);

cgrid = linspace(0,cupperbar,Ncgrid);

if min(cgrid) < 0
    error('All c values should be positive.');
end

% Choose which claims about the parameter we are interested in: 
%
% P(Y1 >= Y0) >= plowerbar
%
plowerbarGrid = [0.1 0.25 0.5 0.75 0.9];