function cdfValue = trueConditionalCDF_MC_withW(params,y,x,w)

    distChoice = 1;
    
    if distChoice == 1
        normaldist = makedist('normal');
        truncatedNormalDist = truncate(normaldist,-4,4);

        dist = truncatedNormalDist;

    end

    meanTerm = params.PI*x + params.PIW*w;
    stddevTerm = params.gamma*x + params.gammaW*w + params.sigma;

    evalPoint = (y - meanTerm)/stddevTerm;

    cdfValue = cdf(dist,evalPoint);

end
