% This code takes a breakdown curve (not truncated) and truncates it to
% make it a breakdown frontier
function BF = computeBFfromBC(BC)

    BF = nan(length(BC),1);
    for i=1:length(BC)

        if BC(i) < 0
            BF(i) = 0;
        elseif BC(i) > 1
            BF(i) = 1;
        else
            BF(i) = BC(i);
        end
        
    end
end