function epsilonGridEmpirical = computeEmpiricalEpislonGrid()

    epsilonScaleGrid = [1 1.5 2 4 6 8 10];

    empiricalSampleSize = 448;
    epsilonNaiveEmpirical = 1/sqrt(empiricalSampleSize);
    epsilonGridEmpirical = nan(length(epsilonScaleGrid),1);

    for j=1:length(epsilonScaleGrid)
        epsilonGridEmpirical(j) = epsilonScaleGrid(j)*epsilonNaiveEmpirical;
    end

    clear j empiricalSampleSize epsilonNaiveEmpirical;

end