function val = empiricalConditionalQuantile(tau,x,Data,WsuppPoint)

    Y = Data.Y;
    X = Data.X;
    
    if nargin == 3
        
        indicator = (X == x);
        
    elseif nargin == 4
        
        W = Data.Wsingle;
        indicator = ((X == x).*(W == WsuppPoint) == 1); 
        
    end

    val = quantile(Y(indicator),tau);
    
end