function generateMCdatasets(dgpChoice,sampleSize,nSimulations)
%% Set seed
rng(81349+dgpChoice+sampleSize,'twister');

%% Set parameters
params = setDgpParams(dgpChoice);

params.sampleSize = sampleSize;

%% Generate and save sample datasets

for i=1:nSimulations

    Data = generateMCdata(params);

    saveFileName = ...
        sprintf('../datasets/MCdataset_dgp%d_n%d_sim%d.mat',...
            dgpChoice,sampleSize,i);
        
    save(saveFileName,'Data','params');
  
end

end