function MCgrids = setOverallSimGrids()

MCgrids.alphaGrid = [0.05];

MCgrids.plowerbarGrid = [0.1 0.25 0.5 0.75 0.9];

MCgrids.sampleSizeGrid = [500 2000];

MCgrids.epsilonScaleGrid = [0.5 1 1.5 2 4 6 8 10];
MCgrids.epsilonGrid = nan(length(MCgrids.epsilonScaleGrid),length(MCgrids.sampleSizeGrid));
MCgrids.Kgrid = nan(length(MCgrids.epsilonScaleGrid),length(MCgrids.sampleSizeGrid));

for i=1:length(MCgrids.sampleSizeGrid)
    epsilonNaive = ( 1/sqrt(MCgrids.sampleSizeGrid(i)) );
    
    for j=1:length(MCgrids.epsilonScaleGrid)
        MCgrids.epsilonGrid(j,i) = MCgrids.epsilonScaleGrid(j)*epsilonNaive;
        MCgrids.Kgrid(j,i) = MCgrids.epsilonGrid(j,i)*sqrt(log(MCgrids.sampleSizeGrid(i)));
    end
end

end